Replace User Password Prompt in Debian Installer with DebConf
Status: Closed Start date: 07/22/2010

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0 (Release)   

Description

http://www.fifi.org/doc/debconf-doc/tutorial.html

http://en.wikipedia.org/wiki/Debconf_(software_package)

See hddtemp for a package that uses DebConf.

History

#1 - 07/23/2010 01:16 AM - Luke Murphey

Other related links:

http://debconf2.debconf.org/talks/debconf-debconf/configscript.mdwn

http://www.fifi.org/doc/debconf-doc/tutorial.html#AEN17

http://www.mouraf.org/website/packager

http://www.fifi.org/doc/debconf-doc/tutorial.html#AEN34

http://www.digipedia.pl/man/doc/view/debconf-devel.7

#2 - 07/23/2010 01:24 AM - Luke Murphey

For troubleshooting, you set debconf to run in debugging mode:

DEBCONF_DEBUG="developer" 

export DEBCONF_DEBUG

#3 - 07/23/2010 01:49 AM - Luke Murphey

Need to use fset to clear answers to questions so they always appear (e.g. "db_fset shared/window-manage seen false").

#4 - 07/23/2010 06:37 PM - Luke Murphey

Shortened code to set developer flag for debconf:

DEBCONF_DEBUG="developer";export DEBCONF_DEBUG;echo $DEBCONF_DEBUG

#5 - 07/24/2010 12:30 AM - Luke Murphey

Had problems with template file. Debugging with postinst.templates works but actual Debian file did not until the templates file was renamed to

"templates".

05/04/2024 1/2

http://www.fifi.org/doc/debconf-doc/tutorial.html
http://en.wikipedia.org/wiki/Debconf_(software_package)
http://debconf2.debconf.org/talks/debconf-debconf/configscript.mdwn
http://www.fifi.org/doc/debconf-doc/tutorial.html#AEN17
http://www.mouraf.org/website/packager
http://www.fifi.org/doc/debconf-doc/tutorial.html#AEN34
http://www.digipedia.pl/man/doc/view/debconf-devel.7


#6 - 07/24/2010 12:31 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Implemented in r550.
